| Home | Libraries | People | FAQ | More

#### buffer (14 of 22 overloads)

Create a new non-modifiable buffer that represents the given POD array.

    template<
        typename PodType,
        std::size_t N>
    const_buffers_1 buffer(
        boost::array< const PodType, N > & data,
        std::size_t max_size_in_bytes);

###### Return Value

A `const_buffers_1` value equivalent to:

    const_buffers_1(
        data.data(),
        min(data.size() * sizeof(PodType), max_size_in_bytes));